Skip to main content
Version: 2025-12-18

Generate a report

POST 

/demand/accounts/{account_id}/reports/{report_type}

This endpoint initiates an asynchronous job to generate a report. A successful request immediately returns a 202 Accepted response containing a report_id, which you can use to track the job's progress with the /status endpoint.

Report Types and Rules​

The following table outlines the rules for each report_type:

Report TypeSupported Levels (filter)Multi-select Rules
completesaccount, business_unit, project, target_groupMultiple IDs can be provided for all levels except account.
reconciliation-eligible-ridsproject, target_grouptarget_group: Yes. project: No (only one ID allowed).
reconciliations-statusaccount, project, target_groupMultiple IDs can be provided for all levels except account.
respondent-analysisproject, target_grouptarget_group: Yes. project: No (only one ID allowed).
sample-boughtaccount, business_unit, project, target_groupMultiple IDs can be provided for all levels except account.
term-detailstarget_groupNo (only one ID allowed).

Request​

Responses​

Accepted report generation request

Response Headers
    traceparent

    The traceparent header carries the trace ID and parent span ID, as defined by the W3C Trace Context specification. It's used to trace a single request as it moves through multiple services.

    tracestate

    The tracestate header complements the traceparent header by carrying vendor-specific trace information. This allows different services to add their own data to a trace.